/* libchaine.h */
/* La bibliotèque de traitement de chaines de caractères */

#ifndef LIBCHAINE_H
#define LIBCHAINE_H


/* Renvoie une chaîne de caractère de longueur maximale la valeur */
/* passée en paramètre. */
char * newChaine(int);

/* Calcule la longueur d'une chaîne de caractère */
int longueur(char *);


/* Cette fonction renvoie l'image inversée de son argument */
/* L'allocation mémoire est réalisée par la fonction */
char * miroir(char*);

/* Cette  fonction échange deux chaines de caractères passée par  */
/* référence en fonction de leur comparaison alphabétique      */
/* Renvoie 1 si l'échange est effectué                            */
char echange(char* *pch1, char* *pch2);

/* Cette fonction va lire une chaine au clavier lettre par lettre */
/* La taille de la chaîne est bornée a priori */
char * lire_chaine_au_clavier(void);

/* Cette fonction permet de lire au clavier une chaîne de caractère 
   de taille arbitraire */
char * saisie(void);

/* Clonage d'une chaine de caractère */
char* cloneChaine(char * src);

/* Recopie la chaine de caractère src dans dst  */
/* dst doit être assez grande pour contenir src */
int copieChaine(char * dst, char * src);


#endif /* LIBCHAINE_H */
